package com.yingpai.miniapp.service;

import com.yingpai.miniapp.domain.bo.PaymentConfigBo;
import com.yingpai.miniapp.domain.vo.PaymentConfigVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 支付配置服务接口
 */
public interface IPaymentConfigService {
    
    /**
     * 获取支付配置
     */
    PaymentConfigVo getConfig();
    
    /**
     * 更新支付配置
     */
    boolean updateConfig(PaymentConfigBo bo);
    
    /**
     * 保存商户私钥文件
     */
    boolean savePrivateKey(MultipartFile file);

    /**
     * 保存支付证书文件
     */
    boolean saveCert(MultipartFile file);
    
    /**
     * 保存微信支付公钥文件
     */
    boolean savePublicKey(MultipartFile file);
}
